### Method

# Soup Session websocket_connect_finish

#### Declaration [src]

    SoupWebsocketConnection*
    soup_session_websocket_connect_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the `SoupWebsocketConnection` response to a `soup_session_websocket_connect_async()` call.

If successful, returns a `SoupWebsocketConnection` that can be used to communicate with the server.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to your callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SoupWebsocketConnection`

A new `SoupWebsocketConnection`, or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.